Name: atop
Version: 1.17
Release: alt1

Summary: AT Computing System and Process Monitor
License: GPL
Group: Monitoring

Url: http://www.atcomputing.nl/Tools/atop
Source: http://www.atconsultancy.nl/atop/packages/%name-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Wed Nov 29 2006
BuildRequires: libncurses-devel packages-info-i18n-common zlib-devel

%description
atop is an interactive monitor to view the load on a Linux-system.
It shows the occupation of the most critical hardware-resources
(from a performance point of view) on system-level, i.e. cpu,
memory, disk and network. It also shows which processes are
responsible for the indicated load (again cpu-, memory-, disk-
and network-load on process-level).

The program can also be used to log system- and process-level
information in raw format for long-term analysis.

%prep
%setup -q

%build
%make_build

%install
mkdir -p %buildroot{%_man1dir,%_bindir,%_sysconfdir/{%name,cron.d}}
install    -m 0644 man/* %buildroot%_man1dir
install    -m 04711 atop %buildroot%_bindir/atop
install    -m 0711 atop.daily   %buildroot%_sysconfdir/%name/atop.daily
install    -m 0711 atop.24hours %buildroot%_sysconfdir/%name/atop.24hours
install    -m 0644 atop.cron %buildroot%_sysconfdir/cron.d/atop
install -d -m 0755 %buildroot%_logdir/atop

%post
if [ -f %_sysconfdir/logrotate.d/psacct ]
then
	rm   %_sysconfdir/cron.d/atop
	echo 'Provisions for automatic daily logging can be installed manually'
	echo '(see section RAW DATA STORAGE in man-page) ....'
else
	%_sysconfdir/%name/atop.daily
	echo 'Automatic daily logging is activated ...'
fi

%preun
killall atop 2> /dev/null

%postun
%files
%doc README
%_sysconfdir/%name/atop.daily
%_sysconfdir/%name/atop.24hours
%_bindir/atop
%_man1dir/atop.1*
%_sysconfdir/cron.d/atop
%dir %_logdir/atop

%changelog
* Wed Nov 29 2006 Michael Shigorin <mike@altlinux.org> 1.17-alt1
- 1.17
- spec cleanup
- buildreq

* Tue Oct 08 2002 Michael Shigorin <mike@altlinux.ru> 1.7-alt1
- built for ALT Linux

